Skip to main content

Get Catalog Item

GET 

/inventory/v1/catalog/item/:item_id

Get a specific Item.

Request

Path Parameters

    item_id Item Idrequired

Header Parameters

    if-none-match any

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string

    item_uuid

    object

    The Item UUID

    anyOf

    string

    type ItemType (string)

    Possible values: [unit, recipe, recipe_with_price_reduction, entitlement, dynamic_bundle]

    Default value: unit

    The type of item.

    legacy_type Legacy Type (integer)deprecated

    Default value: 0

    legacy_subtype Legacy Subtype (integer)deprecated

    Default value: 0

    ref_item_id Ref Item Id (integer)deprecated

    Default value: 0

    availability_flags Availability Flags (integer)deprecated

    Default value: 0

    entitled_loot_uuid

    object

    This is only valid for an entitlement Item. When this item is granted and Inventory Session creation, this is the Loot that will be fulfilled.

    anyOf

    string

    entitled_loot_id Entitled Loot Id (integer)

    Default value: 0

    This is only valid for an entitlement Item. When this item is granted and Inventory Session creation, this is the Loot ID that will be fulfilled.

    level_xp_table_uuid

    object

    The XP Table that is used to determine the Player's level for this XP. The level increase occurs when the quantity of this Item increases above the minimum XP of an XP Level. This is only valid for an unit Item.

    anyOf

    string

    level_xp_table_id Level Xp Table Id (integer)

    Default value: 0

    The XP Table that is used to determine the Player's level for this XP. The level increase occurs when the quantity of this Item increases above the minimum XP of an XP Level. This is only valid for an unit Item.

    level_vendor_uuid

    object

    The Vendor that is used filfill level up rewards for this item. The level of the Player is used as the index into the Vendor's Loot table. This is only valid for an unit Item.

    anyOf

    string

    level_vendor_id Level Vendor Id (integer)

    Default value: 0

    The Vendor that is used filfill level up rewards for this item. The level of the Player is used as the index into the Vendor's Loot table. This is only valid for an unit Item.

    coupon_discount_currency_item_uuid

    object

    The item of the currency used by this coupon. This is only valid for an unit Item.

    anyOf

    string

    coupon_discount_currency_item_id Coupon Discount Currency Item Id (integer)

    Default value: 0

    The item of the currency used by this coupon. This is only valid for an unit Item.

    coupon_discount_percentage Coupon Discount Percentage (number)

    Possible values: <= 1

    Default value: 0

    The percentage of the discount. This is only valid for an unit Item.

    coupon_consume_on_use Coupon Consume On Use (boolean)

    If true, the coupon will be consumed when used; reducing the Player's Inventory quantity by 1. This is only valid for an unit Item.

    item_portal_use_ruleset_id Item Portal Use Ruleset Id (integer)deprecated

    Default value: 0

    inventory_bucket_use_rule_set_id

    object

    The Inventory Bucket Use Rule Set ID that determines how this item can be used across buckets.

    anyOf

    string

    total_ownership_max Total Ownership Max (integer)

    Default value: 0

    Maximum ownership (permanent+rental) allowed for this item. 0 means no limit

    coupon_discount_loot integer[]

    Default value: ``

    List of Loot IDs this item can discount

    coupon_discount_loot_uuid uuid[]

    Default value: ``

    List of Loot this item can discount

    cache_info

    object

    Cache information for this item.

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

Loading...